Bug 396261 - SELinux is preventing /usr/libexec/gconfd-2 (xdm_t) "execute_no_trans" to /usr/libexec/gconfd-2 (gconfd_exec_t).
SELinux is preventing /usr/libexec/gconfd-2 (xdm_t) "execute_no_trans" to /us...
Product: Fedora
Classification: Fedora
Component: GConf2 (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-22 22:33 EST by Jim Cornette
Modified: 2007-12-22 00:09 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-22 00:09:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Cornette 2007-11-22 22:33:50 EST
Description of problem:
SELinux error on out of ordinary runlevel 5 environment, gdm crashed

Version-Release number of selected component (if applicable):
GConf2-2.20.1-2.fc9 [application]GConf2-2.20.1-2.fc9 [target]

How reproducible:
the log shows better details.
    SELinux is preventing /usr/libexec/gconfd-2 (xdm_t) "execute_no_trans" to
    /usr/libexec/gconfd-2 (gconfd_exec_t).

Detailed Description
    SELinux denied access requested by /usr/libexec/gconfd-2. It is not expected
    that this access is required by /usr/libexec/gconfd-2 and this access may
    signal an intrusion attempt. It is also possible that the specific version
    or configuration of the application is causing it to require additional

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for /usr/libexec/gconfd-2,
    restorecon -v /usr/libexec/gconfd-2 If this does not work, there is
    currently no automatic way to allow this access. Instead,  you can generate
    a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:xdm_t:SystemLow-SystemHigh
Target Context                system_u:object_r:gconfd_exec_t
Target Objects                /usr/libexec/gconfd-2 [ file ]
Affected RPM Packages         GConf2-2.20.1-2.fc9
                              [application]GConf2-2.20.1-2.fc9 [target]
Policy RPM                    selinux-policy-3.0.8-44.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   plugins.catchall_file
Host Name                     HP-JCF7
Platform                      Linux HP-JCF7 #1 SMP Thu Nov 8
                              21:41:26 EST 2007 i686 athlon
Alert Count                   1
First Seen                    Thu 22 Nov 2007 10:02:17 PM EST
Last Seen                     Thu 22 Nov 2007 10:02:17 PM EST
Local ID                      2c11227e-527b-4e73-89b1-552625e99c59
Line Numbers                  

Raw Audit Messages            

avc: denied { execute_no_trans } for comm=gconfd-2 dev=sda6 egid=42 euid=42
exe=/usr/libexec/gconfd-2 exit=0 fsgid=42 fsuid=42 gid=42 items=0 name=gconfd-2
path=/usr/libexec/gconfd-2 pid=3165
scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 sgid=42
subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 suid=42 tclass=file
tcontext=system_u:object_r:gconfd_exec_t:s0 tty=(none) uid=42
Comment 1 Jim Cornette 2007-12-22 00:09:04 EST
Problem is no longer being logged or causing noticeable problems o the system.
selinux-policy-3.2.5-3.fc9 is current policy installed. Closing bug ticket.

Note You need to log in before you can comment on or make changes to this bug.